## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Class CL3D.MeshBuffer

A buffer containing a set of geometry with one material.

Class Overview
CL3D.MeshBuffer()
A buffer containing a set of geometry with one material, usually part of a Mesh.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| Binormals Storing if the mesh buffers vertices binormals if available.
| Box Axis aligned bounding box enclosing the geometry in this mesh buffer
| Indices Array of Indices into the Vertices array.
| Mat Material of the geometry, of type Material.
| RendererNativeArray Object for the renderer to store renderer created arrays for rendering the geometry.
| Tangents Storing if the mesh buffers vertices tangents if available.
| Vertices Array of Vertices of this mesh buffer.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| createClone() Clones this Mesh buffer, creating a copy of it
| recalculateBoundingBox() Recalculates the bounding box
| update(onlyPositionsChanged, onlyUpdateBufferIfPossible) Needs to be called when the Vertices or Indices have been changed so that the RendererNativeArray gets recreated.

Field Detail
Binormals
Storing if the mesh buffers vertices binormals if available. This is only needed for normal mapped geometry, and null otherwise.

Box
Axis aligned bounding box enclosing the geometry in this mesh buffer

Indices
Array of Indices into the Vertices array. Each 3 indices in this array form a triangle to be rendered.

{Material} Mat
Material of the geometry, of type Material.

RendererNativeArray
Object for the renderer to store renderer created arrays for rendering the geometry.

Tangents
Storing if the mesh buffers vertices tangents if available. This is only needed for normal mapped geometry, and null otherwise.

Vertices
Array of Vertices of this mesh buffer. The members of this array must all be of type Vertex3D.
Method Detail
createClone()
Clones this Mesh buffer, creating a copy of it

recalculateBoundingBox()
Recalculates the bounding box

update(onlyPositionsChanged, onlyUpdateBufferIfPossible)
Needs to be called when the Vertices or Indices have been changed so that the RendererNativeArray gets recreated.

Parameters:
{Boolean} onlyPositionsChanged
  set to true if only the positions changed in the mesh buffer. This will trigger a faster update then
onlyUpdateBufferIfPossible

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit